Skip to main content
POST
/
searches
/
query
curl --request POST \ --url https://api.goldilocksai.app/searches/query \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "query": "Find partnership managers at Google in UK" } '
{ "success": true, "data": { "job_id": "550e8400-e29b-41d4-a716-446655440000", "query": "Find partnership managers at Google in UK", "user_id": "123e4567-e89b-12d3-a456-426614174000", "api_key_id": "abc12345-e89b-12d3-a456-426614174000" }, "metadata": null, "error": null, "request_id": "def67890-e89b-12d3-a456-426614174000", "processing_time_ms": 85 }

Documentation Index

Fetch the complete documentation index at: https://docs.goldilocksai.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication. Obtain your API key via the web application.

Body

application/json

Request body for executing a search query

query
string
required

Natural language search query

Minimum string length: 1
Example:

"Find partnership managers at Google in UK"

profiles_requested
integer
default:20

Number of profiles to return (1-200, default 20)

Required range: 1 <= x <= 200
Example:

20

Response

Query accepted and processing started

success
boolean
required
request_id
string<uuid>
required
processing_time_ms
integer
required
data
object

Response data for POST /searches/query

metadata
null
error
null